Package org.apache.catalina.tribes.group

## Class RpcMessage.NoRpcChannelReply

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcMessage
  - - org.apache.catalina.tribes.group.RpcMessage.NoRpcChannelReply

All Implemented Interfaces:
  `java.io.Externalizable`, `java.io.Serializable`

Enclosing class:
  RpcMessage

    public static class RpcMessage.NoRpcChannelReply
    extends RpcMessage

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.catalina.tribes.group.RpcMessage

`RpcMessage.NoRpcChannelReply`

### Field Summary

### Fields inherited from class org.apache.catalina.tribes.group.RpcMessage

`message, reply, rpcId, uuid`

### Constructor Summary

Constructors
`NoRpcChannelReply()`
`NoRpcChannelReply​(byte[] rpcid, byte[] uuid)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readExternal​(java.io.ObjectInput in)`
`void` `writeExternal​(java.io.ObjectOutput out)`

### Methods inherited from class org.apache.catalina.tribes.group.RpcMessage

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoRpcChannelReply

    public NoRpcChannelReply()

#### NoRpcChannelReply

    public NoRpcChannelReply​(byte[] rpcid,
                             byte[] uuid)

### Method Detail

#### readExternal

    public void readExternal​(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Overrides:
  `readExternal` in class `RpcMessage`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeExternal

    public void writeExternal​(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Overrides:
  `writeExternal` in class `RpcMessage`
Throws:
  `java.io.IOException`